summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2021-04-06 10:01:50 +0200
committerRemi Collet <remi@remirepo.net>2021-04-06 10:01:50 +0200
commitb03d7694ec09b19384e557bdd0df4c5356fa4f10 (patch)
tree11be10d3db0bf51075f970b33d5ce1352400c7b7
parent216e4b57d04dcd04ba68e2bf63998c10cf7ae2bd (diff)
update to 1.2.0 (no change)HEADmaster
raise dependency on PHP 7.3 raise dependency on laminas-i18n 2.11 raise dependency on laminas-servicemanager 3.6 raise dependency on laminas-stdlib 3.3 raise dependency on laminas-validator 2.14 raise dependency on laminas-zendframework-bridge 1.2 switch to phpunit9
-rw-r--r--composer.json28
-rw-r--r--php-laminas-mvc-i18n.spec72
2 files changed, 57 insertions, 43 deletions
diff --git a/composer.json b/composer.json
index 6d0f8e3..ca20738 100644
--- a/composer.json
+++ b/composer.json
@@ -20,29 +20,27 @@
"sort-packages": true
},
"extra": {
- "branch-alias": {
- "dev-master": "1.1.x-dev",
- "dev-develop": "1.2.x-dev"
- },
"laminas": {
"component": "Laminas\\Mvc\\I18n",
"config-provider": "Laminas\\Mvc\\I18n\\ConfigProvider"
}
},
"require": {
- "php": "^5.6 || ^7.0",
+ "php": "^7.3 || ~8.0.0",
"container-interop/container-interop": "^1.1",
- "laminas/laminas-i18n": "^2.7",
+ "laminas/laminas-i18n": "^2.11",
"laminas/laminas-router": "^3.0",
- "laminas/laminas-servicemanager": "^2.7.10 || ^3.0.3",
- "laminas/laminas-stdlib": "^2.7.6 || ^3.0",
- "laminas/laminas-validator": "^2.6",
- "laminas/laminas-zendframework-bridge": "^1.0"
+ "laminas/laminas-servicemanager": "^3.6",
+ "laminas/laminas-stdlib": "^3.3",
+ "laminas/laminas-validator": "^2.14",
+ "laminas/laminas-zendframework-bridge": "^1.2"
},
"require-dev": {
- "laminas/laminas-cache": "^2.6.1",
"laminas/laminas-coding-standard": "~1.0.0",
- "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.5"
+ "phpspec/prophecy-phpunit": "^2.0",
+ "phpunit/phpunit": "^9.5",
+ "psalm/plugin-phpunit": "^0.15.1",
+ "vimeo/psalm": "^4.7"
},
"conflict": {
"laminas/laminas-mvc": "<3.0.0",
@@ -64,14 +62,16 @@
"scripts": {
"check": [
"@cs-check",
- "@test"
+ "@test",
+ "@static-analysis"
],
"cs-check": "phpcs",
"cs-fix": "phpcbf",
+ "static-analysis": "psalm --shepherd --stats",
"test": "phpunit --colors=always",
"test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
},
"replace": {
- "zendframework/zend-mvc-i18n": "self.version"
+ "zendframework/zend-mvc-i18n": "^1.1.1"
}
}
diff --git a/php-laminas-mvc-i18n.spec b/php-laminas-mvc-i18n.spec
index 73a6e6e..245b075 100644
--- a/php-laminas-mvc-i18n.spec
+++ b/php-laminas-mvc-i18n.spec
@@ -1,13 +1,13 @@
# remirepo/Fedora spec file for php-laminas-mvc-i18n
#
-# Copyright (c) 2016-2020 Remi Collet
+# Copyright (c) 2016-2021 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit 4184f6572b5244a5f5781604f1e03d7955e304a0
+%global gh_commit 7ece491a02000a6c4ea2c4457fead3d12efc6eba
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-mvc-i18n
@@ -23,7 +23,7 @@
%endif
Name: php-%{gh_project}
-Version: 1.1.1
+Version: 1.2.0
Release: 1%{?dist}
Summary: %{namespace} Framework %{library}/%{subproj} component
@@ -35,23 +35,24 @@ Source1: makesrc.sh
BuildArch: noarch
# Tests
%if %{with_tests}
-BuildRequires: php(language) >= 5.6
+BuildRequires: php(language) >= 7.3
BuildRequires: php-intl
BuildRequires: php-spl
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(container-interop/container-interop) >= 1.1 with php-composer(container-interop/container-interop) < 2)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-i18n) >= 2.7 with php-autoloader(%{gh_owner}/laminas-i18n) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-i18n) >= 2.11 with php-autoloader(%{gh_owner}/laminas-i18n) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-router) >= 3.0 with php-autoloader(%{gh_owner}/laminas-router) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.0.3 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.0 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-validator) >= 2.6 with php-autoloader(%{gh_owner}/laminas-validator) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.6 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.3 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-validator) >= 2.14 with php-autoloader(%{gh_owner}/laminas-validator) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.2 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# From composer, "require-dev": {
-# "laminas/laminas-cache": "^2.6.1",
-# "laminas/laminas-coding-standard": "~1.0.0",
-# "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.5"
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-cache) >= 2.6.1 with php-autoloader(%{gh_owner}/laminas-cache) < 3)
+# "phpspec/prophecy-phpunit": "^2.0",
+# "phpunit/phpunit": "^9.5",
+# "psalm/plugin-phpunit": "^0.15.1",
+# "vimeo/psalm": "^4.7"
+BuildRequires: (php-composer(phpspec/prophecy-phpunit) >= 2.0 with php-composer(phpspec/prophecy-phpunit) < 3)
# remirepo:10
%else
BuildRequires: php-container-interop
@@ -61,33 +62,33 @@ BuildRequires: php-laminas-servicemanager
BuildRequires: php-laminas-stdlib
BuildRequires: php-laminas-validator
BuildRequires: php-laminas-zendframework-bridge
-BuildRequires: php-laminas-cache
+BuildRequires: php-phpspec-prophecy-phpunit
%endif
-%global phpunit %{_bindir}/phpunit7
-BuildRequires: phpunit7 >= 7.1.5
+%global phpunit %{_bindir}/phpunit9
+BuildRequires: phpunit9 >= 9.5
%endif
# Autoloader
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "^5.6 || ^7.0",
+# "php": "^7.3 || ~8.0.0",
# "container-interop/container-interop": "^1.1",
-# "laminas/laminas-i18n": "^2.7",
+# "laminas/laminas-i18n": "^2.11",
# "laminas/laminas-router": "^3.0",
-# "laminas/laminas-servicemanager": "^2.7.10 || ^3.0.3",
-# "laminas/laminas-stdlib": "^2.7.6 || ^3.0",
-# "laminas/laminas-validator": "^2.6",
+# "laminas/laminas-servicemanager": "^3.6",
+# "laminas/laminas-stdlib": "^3.3",
+# "laminas/laminas-validator": "^2.14",
# "laminas/laminas-zendframework-bridge": "^1.0"
-Requires: php(language) >= 5.6
+Requires: php(language) >= 7.3
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
Requires: (php-composer(container-interop/container-interop) >= 1.1 with php-composer(container-interop/container-interop) < 2)
-Requires: (php-autoloader(%{gh_owner}/laminas-i18n) >= 2.7 with php-autoloader(%{gh_owner}/laminas-i18n) < 3)
+Requires: (php-autoloader(%{gh_owner}/laminas-i18n) >= 2.11 with php-autoloader(%{gh_owner}/laminas-i18n) < 3)
Requires: (php-autoloader(%{gh_owner}/laminas-router) >= 3.0 with php-autoloader(%{gh_owner}/laminas-router) < 4)
-Requires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.0.3 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
-Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.0 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
-Requires: (php-autoloader(%{gh_owner}/laminas-validator) >= 2.6 with php-autoloader(%{gh_owner}/laminas-validator) < 3)
-Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
+Requires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.6 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.3 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-validator) >= 2.14 with php-autoloader(%{gh_owner}/laminas-validator) < 3)
+Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.2 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# From composer, "suggest": {
# "laminas/laminas-cache": "To enable caching of translation strings"
Suggests: php-autoloader(%{gh_owner}/laminas-cache)
@@ -180,6 +181,9 @@ cat << 'EOF' | tee vendor/autoload.php
<?php
require_once '%{buildroot}%{php_home}/%{namespace}/%{library}/%{subproj}/autoload.php';
\Fedora\Autoloader\Autoload::addPsr4('%{namespace}Test\\%{library}\\%{subproj}\\', dirname(__DIR__) . '/test');
+\Fedora\Autoloader\Dependencies::required([
+ '%{php_home}/Prophecy/PhpUnit/autoload.php',
+]);
EOF
: check compat autoloader
@@ -190,10 +194,10 @@ exit (class_exists("\\Zend\\%{library}\\%{subproj}\\Translator") ? 0 : 1);
: upstream test suite
ret=0
-for cmdarg in "php %{phpunit}" php72 php73 php74; do
+for cmdarg in "php %{phpunit}" php73 php74 php80; do
if which $cmdarg; then
set $cmdarg
- $1 ${2:-%{_bindir}/phpunit7} --verbose || ret=1
+ $1 ${2:-%{_bindir}/phpunit9} --verbose || ret=1
fi
done
exit $ret
@@ -215,6 +219,16 @@ exit $ret
%changelog
+* Tue Apr 6 2021 Remi Collet <remi@remirepo.net> - 1.2.0-1
+- update to 1.2.0 (no change)
+- raise dependency on PHP 7.3
+- raise dependency on laminas-i18n 2.11
+- raise dependency on laminas-servicemanager 3.6
+- raise dependency on laminas-stdlib 3.3
+- raise dependency on laminas-validator 2.14
+- raise dependency on laminas-zendframework-bridge 1.2
+- switch to phpunit9
+
* Wed Jan 15 2020 Remi Collet <remi@remirepo.net> - 1.1.1-1
- switch to Laminas